<html>
<head>
<title>Ogre::PatchSurface Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PatchSurface.html">PatchSurface</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PatchSurface Class Reference<div class="ingroups"><a class="el" href="group__LOD.html">LOD</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PatchSurface" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>A surface which is defined by curves of some kind to form a patch, e.g.  
 <a href="classOgre_1_1PatchSurface.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::PatchSurface:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1PatchSurface__inherit__graph.gif" border="0" usemap="#Ogre_1_1PatchSurface_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1PatchSurface_inherit__map" id="Ogre_1_1PatchSurface_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="31,5,116,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1PatchSurface-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a> { <a class="el" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278a3018de74c08da01f0eeea0f1445f1c8e">PST_BEZIER</a>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <a class="el" href="classOgre_1_1PatchSurface.html#a7ee650d77c69b42c43fb7553118c2503a575b3489dac0ce9bffbad3d630b76830">AUTO_LEVEL</a> =  -1
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constant for indicating automatic determination of subdivision level for patches.  <a href="classOgre_1_1PatchSurface.html#a7ee650d77c69b42c43fb7553118c2503">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a> { <a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeeabe7d46958e7b6cf27e83c3e5600dafb2">VS_FRONT</a>, 
<a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeea644ea2565457231655d0dea56da799ec">VS_BACK</a>, 
<a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeeaa4aa50d12e90df02c8d549e85d365eaa">VS_BOTH</a>
 }</td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ad5d1bb1850a1b30a1bc786b20a135ea6">PatchSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a374e4bdaaa553a7d3317da1fb36eca87">~PatchSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#abe4bf8a170882c83e44a90a2850ace92">defineSurface</a> (void *controlPointBuffer, <a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a> *declaration, size_t width, size_t height, <a class="el" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a> pType=<a class="el" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278a3018de74c08da01f0eeea0f1445f1c8e">PST_BEZIER</a>, size_t uMaxSubdivisionLevel=<a class="el" href="classOgre_1_1PatchSurface.html#a7ee650d77c69b42c43fb7553118c2503a575b3489dac0ce9bffbad3d630b76830">AUTO_LEVEL</a>, size_t vMaxSubdivisionLevel=<a class="el" href="classOgre_1_1PatchSurface.html#a7ee650d77c69b42c43fb7553118c2503a575b3489dac0ce9bffbad3d630b76830">AUTO_LEVEL</a>, <a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a> visibleSide=<a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeeabe7d46958e7b6cf27e83c3e5600dafb2">VS_FRONT</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets up the surface by defining it's control points, type and initial subdivision level.  <a href="#abe4bf8a170882c83e44a90a2850ace92"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#af2019f15e76e24b8ff3a55d80c934995">getRequiredVertexCount</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Based on a previous call to defineSurface, establishes the number of vertices required to hold this patch at the maximum detail level.  <a href="#af2019f15e76e24b8ff3a55d80c934995"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a01008aa0fe032f9c7e186bf0c484b05f">getRequiredIndexCount</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Based on a previous call to defineSurface, establishes the number of indexes required to hold this patch at the maximum detail level.  <a href="#a01008aa0fe032f9c7e186bf0c484b05f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ac7a508c760e11ebd6372862a6195fb24">getCurrentIndexCount</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the current index count based on the current subdivision level.  <a href="#ac7a508c760e11ebd6372862a6195fb24"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ab83c4281f95bb02b8cbb4b41f97b9e2e">getIndexOffset</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the index offset used by this buffer to write data into the buffer.  <a href="#ab83c4281f95bb02b8cbb4b41f97b9e2e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ac545ac395017801a17d0e421d0e50101">getVertexOffset</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the vertex offset used by this buffer to write data into the buffer.  <a href="#ac545ac395017801a17d0e421d0e50101"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a086edd7093fc76344163e6854529e91c">getBounds</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the bounds of this patch, only valid after calling defineSurface.  <a href="#a086edd7093fc76344163e6854529e91c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a5c07a906a6491a9e6d82eab411ff75b1">getBoundingSphereRadius</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the radius of the bounding sphere for this patch, only valid after defineSurface has been called.  <a href="#a5c07a906a6491a9e6d82eab411ff75b1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a720b670d73970bb3970dc6d4e190ba2e">build</a> (<a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> destVertexBuffer, size_t vertexStart, <a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> destIndexBuffer, size_t indexStart)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells the system to build the mesh relating to the surface into externally created buffers.  <a href="#a720b670d73970bb3970dc6d4e190ba2e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a3322b21075ac2e34395e35da3e9025bd">setSubdivisionFactor</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> factor)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Alters the level of subdivision for this surface.  <a href="#a3322b21075ac2e34395e35da3e9025bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ae42e723e8025e519608efceac1200640">getSubdivisionFactor</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the current level of subdivision.  <a href="#ae42e723e8025e519608efceac1200640"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ad3a4316d8594bbc7173a26703bdab2b1">getControlPointBuffer</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a41fb9a71633f5658bac6c83403f46a43">notifyControlPointBufferDeallocated</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method for telling the patch that the control points have been deleted, since once the patch has been built they are not required.  <a href="#a41fb9a71633f5658bac6c83403f46a43"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#aad80e2f264b3e20629deebb47ae71958">findLevel</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;a, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;b, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;c)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for finding the subdivision level given 3 control points.  <a href="#aad80e2f264b3e20629deebb47ae71958"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a7cd7c409a9bb692b378713a5946ddc5a">distributeControlPoints</a> (void *lockedBuffer)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ae8a75db9b7723a1fac7f06bd23df654f">subdivideCurve</a> (void *lockedBuffer, size_t startIdx, size_t stepSize, size_t numSteps, size_t iterations)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a7975569434015d84643b5af41cea92eb">interpolateVertexData</a> (void *lockedBuffer, size_t leftIndex, size_t rightIndex, size_t destIndex)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#aabf219fe8c94bbd9fca97a2b9d7b2ce5">makeTriangles</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a0ee794700ee2c26e346faca7db7175ff">getAutoULevel</a> (bool forMax=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#aee500e63eb5c23fa22e06d9dc54b0e9c">getAutoVLevel</a> (bool forMax=false)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a437c71a16caed7a552d5de325323f7a3">mDeclaration</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertex declaration describing the control point buffer.  <a href="#a437c71a16caed7a552d5de325323f7a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#abc9fc2a6c93d26afce8e12f20a5ae36a">mControlPointBuffer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Buffer containing the system-memory control points.  <a href="#abc9fc2a6c93d26afce8e12f20a5ae36a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a8eb452f175ed459c32224a24c4111091">mType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of surface.  <a href="#a8eb452f175ed459c32224a24c4111091"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a223697279c497602e1338134782c9691">mCtlWidth</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Width in control points.  <a href="#a223697279c497602e1338134782c9691"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ac6ccdf6c36e9e75bdd71455292bfb210">mCtlHeight</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Height in control points.  <a href="#ac6ccdf6c36e9e75bdd71455292bfb210"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a495d1ea0cc206d5be6fd2b1376534903">mCtlCount</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">TotalNumber of control points.  <a href="#a495d1ea0cc206d5be6fd2b1376534903"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a0292f4963f60a974876a8185de206d7f">mULevel</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">U-direction subdivision level.  <a href="#a0292f4963f60a974876a8185de206d7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ade1780fa07ac3eb2cd77a1e4e7effd48">mVLevel</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">V-direction subdivision level.  <a href="#ade1780fa07ac3eb2cd77a1e4e7effd48"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a7263e6acf1fc55ecd2bb772c471a2924">mMaxULevel</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Max subdivision level.  <a href="#a7263e6acf1fc55ecd2bb772c471a2924"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ad253e0f7299f615d5f6603eb788a27db">mMaxVLevel</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a4077a4271389af7bc4ec9e807bf91cde">mMeshWidth</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Width of the subdivided mesh (big enough for max level)  <a href="#a4077a4271389af7bc4ec9e807bf91cde"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a5b31d465366d1856ab5f7a811cd3907f">mMeshHeight</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Height of the subdivided mesh (big enough for max level)  <a href="#a5b31d465366d1856ab5f7a811cd3907f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#aeb543caba5713a3468d87c147873a35c">mVSide</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Which side is visible.  <a href="#aeb543caba5713a3468d87c147873a35c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ad7bed3b4c073e58963c4f518824dc213">mSubdivisionFactor</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a7cdd82601219502352dd0930ae03574f">mVecCtlPoints</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ab71020e960b8f454f02ac7008ff8f149">mVertexBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#add834eb17f4476747c73d30c42c40ad8">mIndexBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a947c6821f4d14e3983e5f8e702ee1ba1">mVertexOffset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ab20d64e316e68c29df2e0feacd8ce82c">mIndexOffset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a540444f2d390279342b950e34651e5c8">mRequiredVertexCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a8f7f0bb8ee32d786e94a2d58c5d1cc47">mRequiredIndexCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#afa053936dd43a2856e64cd4c39e21d73">mCurrIndexCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#a2da824a653e19ad4b6196725e462c192">mAABB</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#af487823bcd4b0fc386b426599c7b19cf">mBoundingSphere</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A surface which is defined by curves of some kind to form a patch, e.g. </p>
<p>a Bezier patch. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This object will take a list of control points with various assorted data, and will subdivide it into a patch mesh. Currently only Bezier curves are supported for defining the surface, but other techniques such as NURBS would follow the same basic approach. </dd></dl>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00052">52</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a7ee650d77c69b42c43fb7553118c2503"></a><!-- doxytag: member="Ogre::PatchSurface::@7" ref="a7ee650d77c69b42c43fb7553118c2503" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constant for indicating automatic determination of subdivision level for patches. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a7ee650d77c69b42c43fb7553118c2503a575b3489dac0ce9bffbad3d630b76830"></a><!-- doxytag: member="AUTO_LEVEL" ref="a7ee650d77c69b42c43fb7553118c2503a575b3489dac0ce9bffbad3d630b76830" args="" -->AUTO_LEVEL</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00065">65</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="abedf8abe8fa9fb9b1b7cff118cd2e278"></a><!-- doxytag: member="Ogre::PatchSurface::PatchSurfaceType" ref="abedf8abe8fa9fb9b1b7cff118cd2e278" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278">Ogre::PatchSurface::PatchSurfaceType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="abedf8abe8fa9fb9b1b7cff118cd2e278a3018de74c08da01f0eeea0f1445f1c8e"></a><!-- doxytag: member="PST_BEZIER" ref="abedf8abe8fa9fb9b1b7cff118cd2e278a3018de74c08da01f0eeea0f1445f1c8e" args="" -->PST_BEZIER</em>&nbsp;</td><td>
<p>A patch defined by a set of bezier curves. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00058">58</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3786509c9aac2a5ea44848e3f49c5eee"></a><!-- doxytag: member="Ogre::PatchSurface::VisibleSide" ref="a3786509c9aac2a5ea44848e3f49c5eee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eee">Ogre::PatchSurface::VisibleSide</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a3786509c9aac2a5ea44848e3f49c5eeeabe7d46958e7b6cf27e83c3e5600dafb2"></a><!-- doxytag: member="VS_FRONT" ref="a3786509c9aac2a5ea44848e3f49c5eeeabe7d46958e7b6cf27e83c3e5600dafb2" args="" -->VS_FRONT</em>&nbsp;</td><td>
<p>The side from which u goes right and v goes up (as in texture coords) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a3786509c9aac2a5ea44848e3f49c5eeea644ea2565457231655d0dea56da799ec"></a><!-- doxytag: member="VS_BACK" ref="a3786509c9aac2a5ea44848e3f49c5eeea644ea2565457231655d0dea56da799ec" args="" -->VS_BACK</em>&nbsp;</td><td>
<p>The side from which u goes right and v goes down (reverse of texture coords) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a3786509c9aac2a5ea44848e3f49c5eeeaa4aa50d12e90df02c8d549e85d365eaa"></a><!-- doxytag: member="VS_BOTH" ref="a3786509c9aac2a5ea44848e3f49c5eeeaa4aa50d12e90df02c8d549e85d365eaa" args="" -->VS_BOTH</em>&nbsp;</td><td>
<p>Both sides are visible - warning this creates 2x the number of triangles and adds extra overhead for calculating normals. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00070">70</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad5d1bb1850a1b30a1bc786b20a135ea6"></a><!-- doxytag: member="Ogre::PatchSurface::PatchSurface" ref="ad5d1bb1850a1b30a1bc786b20a135ea6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PatchSurface.html#ad5d1bb1850a1b30a1bc786b20a135ea6">Ogre::PatchSurface::PatchSurface</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a374e4bdaaa553a7d3317da1fb36eca87"></a><!-- doxytag: member="Ogre::PatchSurface::~PatchSurface" ref="a374e4bdaaa553a7d3317da1fb36eca87" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PatchSurface.html#a374e4bdaaa553a7d3317da1fb36eca87">Ogre::PatchSurface::~PatchSurface</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a720b670d73970bb3970dc6d4e190ba2e"></a><!-- doxytag: member="Ogre::PatchSurface::build" ref="a720b670d73970bb3970dc6d4e190ba2e" args="(HardwareVertexBufferSharedPtr destVertexBuffer, size_t vertexStart, HardwareIndexBufferSharedPtr destIndexBuffer, size_t indexStart)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PatchSurface.html#a720b670d73970bb3970dc6d4e190ba2e">Ogre::PatchSurface::build</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&#160;</td>
          <td class="paramname"><em>destVertexBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertexStart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a>&#160;</td>
          <td class="paramname"><em>destIndexBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>indexStart</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tells the system to build the mesh relating to the surface into externally created buffers. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a> of the vertex buffer must be identical to the one passed into defineSurface. In addition, there must be enough space in the buffer to accommodate the patch at full detail level; you should call getRequiredVertexCount and getRequiredIndexCount to determine this. This method does not create an internal mesh for this patch and so getMesh will return null if you call it after building the patch this way. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">destVertexBuffer</td><td>The destination vertex buffer in which to build the patch. </td></tr>
    <tr><td class="paramname">vertexStart</td><td>The offset at which to start writing vertices for this patch </td></tr>
    <tr><td class="paramname">destIndexBuffer</td><td>The destination index buffer in which to build the patch. </td></tr>
    <tr><td class="paramname">vertexStart</td><td>The offset at which to start writing indexes for this patch </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abe4bf8a170882c83e44a90a2850ace92"></a><!-- doxytag: member="Ogre::PatchSurface::defineSurface" ref="abe4bf8a170882c83e44a90a2850ace92" args="(void *controlPointBuffer, VertexDeclaration *declaration, size_t width, size_t height, PatchSurfaceType pType=PST_BEZIER, size_t uMaxSubdivisionLevel=AUTO_LEVEL, size_t vMaxSubdivisionLevel=AUTO_LEVEL, VisibleSide visibleSide=VS_FRONT)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PatchSurface.html#abe4bf8a170882c83e44a90a2850ace92">Ogre::PatchSurface::defineSurface</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>controlPointBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a> *&#160;</td>
          <td class="paramname"><em>declaration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a>&#160;</td>
          <td class="paramname"><em>pType</em> = <code><a class="el" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278a3018de74c08da01f0eeea0f1445f1c8e">PST_BEZIER</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>uMaxSubdivisionLevel</em> = <code><a class="el" href="classOgre_1_1PatchSurface.html#a7ee650d77c69b42c43fb7553118c2503a575b3489dac0ce9bffbad3d630b76830">AUTO_LEVEL</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vMaxSubdivisionLevel</em> = <code><a class="el" href="classOgre_1_1PatchSurface.html#a7ee650d77c69b42c43fb7553118c2503a575b3489dac0ce9bffbad3d630b76830">AUTO_LEVEL</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a>&#160;</td>
          <td class="paramname"><em>visibleSide</em> = <code><a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeeabe7d46958e7b6cf27e83c3e5600dafb2">VS_FRONT</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets up the surface by defining it's control points, type and initial subdivision level. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method initialises the surface by passing it a set of control points. The type of curves to be used are also defined here, although the only supported option currently is a bezier patch. You can also specify a global subdivision level here if you like, although it is recommended that the parameter is left as AUTO_LEVEL, which means the system decides how much subdivision is required (based on the curvature of the surface) </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">controlPointBuffer</td><td>A pointer to a buffer containing the vertex data which defines control points of the curves rather than actual vertices. Note that you are expected to provide not just position information, but potentially normals and texture coordinates too. The format of the buffer is defined in the <a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a> parameter </td></tr>
    <tr><td class="paramname">declaration</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a> describing the contents of the buffer. Note this declaration must _only_ draw on buffer source 0! </td></tr>
    <tr><td class="paramname">width</td><td>Specifies the width of the patch in control points. </td></tr>
    <tr><td class="paramname">height</td><td>Specifies the height of the patch in control points. </td></tr>
    <tr><td class="paramname">pType</td><td>The type of surface - currently only PST_BEZIER is supported </td></tr>
    <tr><td class="paramname">uMaxSubdivisionLevel,vMaxSubdivisionLevel</td><td>If you want to manually set the top level of subdivision, do it here, otherwise let the system decide. </td></tr>
    <tr><td class="paramname">visibleSide</td><td>Determines which side of the patch (or both) triangles are generated for. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7cd7c409a9bb692b378713a5946ddc5a"></a><!-- doxytag: member="Ogre::PatchSurface::distributeControlPoints" ref="a7cd7c409a9bb692b378713a5946ddc5a" args="(void *lockedBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PatchSurface.html#a7cd7c409a9bb692b378713a5946ddc5a">Ogre::PatchSurface::distributeControlPoints</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>lockedBuffer</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aad80e2f264b3e20629deebb47ae71958"></a><!-- doxytag: member="Ogre::PatchSurface::findLevel" ref="aad80e2f264b3e20629deebb47ae71958" args="(Vector3 &amp;a, Vector3 &amp;b, Vector3 &amp;c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#aad80e2f264b3e20629deebb47ae71958">Ogre::PatchSurface::findLevel</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>c</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for finding the subdivision level given 3 control points. </p>

</div>
</div>
<a class="anchor" id="a0ee794700ee2c26e346faca7db7175ff"></a><!-- doxytag: member="Ogre::PatchSurface::getAutoULevel" ref="a0ee794700ee2c26e346faca7db7175ff" args="(bool forMax=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a0ee794700ee2c26e346faca7db7175ff">Ogre::PatchSurface::getAutoULevel</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>forMax</em> = <code>false</code></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aee500e63eb5c23fa22e06d9dc54b0e9c"></a><!-- doxytag: member="Ogre::PatchSurface::getAutoVLevel" ref="aee500e63eb5c23fa22e06d9dc54b0e9c" args="(bool forMax=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#aee500e63eb5c23fa22e06d9dc54b0e9c">Ogre::PatchSurface::getAutoVLevel</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>forMax</em> = <code>false</code></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5c07a906a6491a9e6d82eab411ff75b1"></a><!-- doxytag: member="Ogre::PatchSurface::getBoundingSphereRadius" ref="a5c07a906a6491a9e6d82eab411ff75b1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1PatchSurface.html#a5c07a906a6491a9e6d82eab411ff75b1">Ogre::PatchSurface::getBoundingSphereRadius</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the radius of the bounding sphere for this patch, only valid after defineSurface has been called. </p>

</div>
</div>
<a class="anchor" id="a086edd7093fc76344163e6854529e91c"></a><!-- doxytag: member="Ogre::PatchSurface::getBounds" ref="a086edd7093fc76344163e6854529e91c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&amp; <a class="el" href="classOgre_1_1PatchSurface.html#a086edd7093fc76344163e6854529e91c">Ogre::PatchSurface::getBounds</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the bounds of this patch, only valid after calling defineSurface. </p>

</div>
</div>
<a class="anchor" id="ad3a4316d8594bbc7173a26703bdab2b1"></a><!-- doxytag: member="Ogre::PatchSurface::getControlPointBuffer" ref="ad3a4316d8594bbc7173a26703bdab2b1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1PatchSurface.html#ad3a4316d8594bbc7173a26703bdab2b1">Ogre::PatchSurface::getControlPointBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00168">168</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac7a508c760e11ebd6372862a6195fb24"></a><!-- doxytag: member="Ogre::PatchSurface::getCurrentIndexCount" ref="ac7a508c760e11ebd6372862a6195fb24" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#ac7a508c760e11ebd6372862a6195fb24">Ogre::PatchSurface::getCurrentIndexCount</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the current index count based on the current subdivision level. </p>

</div>
</div>
<a class="anchor" id="ab83c4281f95bb02b8cbb4b41f97b9e2e"></a><!-- doxytag: member="Ogre::PatchSurface::getIndexOffset" ref="ab83c4281f95bb02b8cbb4b41f97b9e2e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#ab83c4281f95bb02b8cbb4b41f97b9e2e">Ogre::PatchSurface::getIndexOffset</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the index offset used by this buffer to write data into the buffer. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00127">127</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a01008aa0fe032f9c7e186bf0c484b05f"></a><!-- doxytag: member="Ogre::PatchSurface::getRequiredIndexCount" ref="a01008aa0fe032f9c7e186bf0c484b05f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a01008aa0fe032f9c7e186bf0c484b05f">Ogre::PatchSurface::getRequiredIndexCount</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Based on a previous call to defineSurface, establishes the number of indexes required to hold this patch at the maximum detail level. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is useful when you wish to build the patch into external vertex / index buffers. </dd></dl>

</div>
</div>
<a class="anchor" id="af2019f15e76e24b8ff3a55d80c934995"></a><!-- doxytag: member="Ogre::PatchSurface::getRequiredVertexCount" ref="af2019f15e76e24b8ff3a55d80c934995" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#af2019f15e76e24b8ff3a55d80c934995">Ogre::PatchSurface::getRequiredVertexCount</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Based on a previous call to defineSurface, establishes the number of vertices required to hold this patch at the maximum detail level. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is useful when you wish to build the patch into external vertex / index buffers. </dd></dl>

</div>
</div>
<a class="anchor" id="ae42e723e8025e519608efceac1200640"></a><!-- doxytag: member="Ogre::PatchSurface::getSubdivisionFactor" ref="ae42e723e8025e519608efceac1200640" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1PatchSurface.html#ae42e723e8025e519608efceac1200640">Ogre::PatchSurface::getSubdivisionFactor</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the current level of subdivision. </p>

</div>
</div>
<a class="anchor" id="ac545ac395017801a17d0e421d0e50101"></a><!-- doxytag: member="Ogre::PatchSurface::getVertexOffset" ref="ac545ac395017801a17d0e421d0e50101" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#ac545ac395017801a17d0e421d0e50101">Ogre::PatchSurface::getVertexOffset</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the vertex offset used by this buffer to write data into the buffer. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00129">129</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7975569434015d84643b5af41cea92eb"></a><!-- doxytag: member="Ogre::PatchSurface::interpolateVertexData" ref="a7975569434015d84643b5af41cea92eb" args="(void *lockedBuffer, size_t leftIndex, size_t rightIndex, size_t destIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PatchSurface.html#a7975569434015d84643b5af41cea92eb">Ogre::PatchSurface::interpolateVertexData</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>lockedBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>leftIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>rightIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>destIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aabf219fe8c94bbd9fca97a2b9d7b2ce5"></a><!-- doxytag: member="Ogre::PatchSurface::makeTriangles" ref="aabf219fe8c94bbd9fca97a2b9d7b2ce5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PatchSurface.html#aabf219fe8c94bbd9fca97a2b9d7b2ce5">Ogre::PatchSurface::makeTriangles</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a41fb9a71633f5658bac6c83403f46a43"></a><!-- doxytag: member="Ogre::PatchSurface::notifyControlPointBufferDeallocated" ref="a41fb9a71633f5658bac6c83403f46a43" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PatchSurface.html#a41fb9a71633f5658bac6c83403f46a43">Ogre::PatchSurface::notifyControlPointBufferDeallocated</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method for telling the patch that the control points have been deleted, since once the patch has been built they are not required. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00174">174</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::PatchSurface::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::PatchSurface::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::PatchSurface::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::PatchSurface::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::PatchSurface::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::PatchSurface::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::PatchSurface::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::PatchSurface::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::PatchSurface::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::PatchSurface::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3322b21075ac2e34395e35da3e9025bd"></a><!-- doxytag: member="Ogre::PatchSurface::setSubdivisionFactor" ref="a3322b21075ac2e34395e35da3e9025bd" args="(Real factor)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PatchSurface.html#a3322b21075ac2e34395e35da3e9025bd">Ogre::PatchSurface::setSubdivisionFactor</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>factor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Alters the level of subdivision for this surface. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method changes the proportionate detail level of the patch; since the U and V directions can have different subdivision levels, this method takes a single Real value where 0 is the minimum detail (the control points) and 1 is the maximum detail level as supplied to the original call to defineSurface. </dd></dl>

</div>
</div>
<a class="anchor" id="ae8a75db9b7723a1fac7f06bd23df654f"></a><!-- doxytag: member="Ogre::PatchSurface::subdivideCurve" ref="ae8a75db9b7723a1fac7f06bd23df654f" args="(void *lockedBuffer, size_t startIdx, size_t stepSize, size_t numSteps, size_t iterations)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PatchSurface.html#ae8a75db9b7723a1fac7f06bd23df654f">Ogre::PatchSurface::subdivideCurve</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>lockedBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>startIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>stepSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>numSteps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>iterations</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a2da824a653e19ad4b6196725e462c192"></a><!-- doxytag: member="Ogre::PatchSurface::mAABB" ref="a2da824a653e19ad4b6196725e462c192" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> <a class="el" href="classOgre_1_1PatchSurface.html#a2da824a653e19ad4b6196725e462c192">Ogre::PatchSurface::mAABB</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00228">228</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="af487823bcd4b0fc386b426599c7b19cf"></a><!-- doxytag: member="Ogre::PatchSurface::mBoundingSphere" ref="af487823bcd4b0fc386b426599c7b19cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1PatchSurface.html#af487823bcd4b0fc386b426599c7b19cf">Ogre::PatchSurface::mBoundingSphere</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00229">229</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="abc9fc2a6c93d26afce8e12f20a5ae36a"></a><!-- doxytag: member="Ogre::PatchSurface::mControlPointBuffer" ref="abc9fc2a6c93d26afce8e12f20a5ae36a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1PatchSurface.html#abc9fc2a6c93d26afce8e12f20a5ae36a">Ogre::PatchSurface::mControlPointBuffer</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Buffer containing the system-memory control points. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00181">181</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a495d1ea0cc206d5be6fd2b1376534903"></a><!-- doxytag: member="Ogre::PatchSurface::mCtlCount" ref="a495d1ea0cc206d5be6fd2b1376534903" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a495d1ea0cc206d5be6fd2b1376534903">Ogre::PatchSurface::mCtlCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>TotalNumber of control points. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00189">189</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac6ccdf6c36e9e75bdd71455292bfb210"></a><!-- doxytag: member="Ogre::PatchSurface::mCtlHeight" ref="ac6ccdf6c36e9e75bdd71455292bfb210" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#ac6ccdf6c36e9e75bdd71455292bfb210">Ogre::PatchSurface::mCtlHeight</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Height in control points. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00187">187</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a223697279c497602e1338134782c9691"></a><!-- doxytag: member="Ogre::PatchSurface::mCtlWidth" ref="a223697279c497602e1338134782c9691" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a223697279c497602e1338134782c9691">Ogre::PatchSurface::mCtlWidth</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Width in control points. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00185">185</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa053936dd43a2856e64cd4c39e21d73"></a><!-- doxytag: member="Ogre::PatchSurface::mCurrIndexCount" ref="afa053936dd43a2856e64cd4c39e21d73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#afa053936dd43a2856e64cd4c39e21d73">Ogre::PatchSurface::mCurrIndexCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00226">226</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a437c71a16caed7a552d5de325323f7a3"></a><!-- doxytag: member="Ogre::PatchSurface::mDeclaration" ref="a437c71a16caed7a552d5de325323f7a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a>* <a class="el" href="classOgre_1_1PatchSurface.html#a437c71a16caed7a552d5de325323f7a3">Ogre::PatchSurface::mDeclaration</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Vertex declaration describing the control point buffer. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00179">179</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="add834eb17f4476747c73d30c42c40ad8"></a><!-- doxytag: member="Ogre::PatchSurface::mIndexBuffer" ref="add834eb17f4476747c73d30c42c40ad8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> <a class="el" href="classOgre_1_1PatchSurface.html#add834eb17f4476747c73d30c42c40ad8">Ogre::PatchSurface::mIndexBuffer</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00221">221</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab20d64e316e68c29df2e0feacd8ce82c"></a><!-- doxytag: member="Ogre::PatchSurface::mIndexOffset" ref="ab20d64e316e68c29df2e0feacd8ce82c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#ab20d64e316e68c29df2e0feacd8ce82c">Ogre::PatchSurface::mIndexOffset</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00223">223</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7263e6acf1fc55ecd2bb772c471a2924"></a><!-- doxytag: member="Ogre::PatchSurface::mMaxULevel" ref="a7263e6acf1fc55ecd2bb772c471a2924" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a7263e6acf1fc55ecd2bb772c471a2924">Ogre::PatchSurface::mMaxULevel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max subdivision level. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00195">195</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad253e0f7299f615d5f6603eb788a27db"></a><!-- doxytag: member="Ogre::PatchSurface::mMaxVLevel" ref="ad253e0f7299f615d5f6603eb788a27db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#ad253e0f7299f615d5f6603eb788a27db">Ogre::PatchSurface::mMaxVLevel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00196">196</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5b31d465366d1856ab5f7a811cd3907f"></a><!-- doxytag: member="Ogre::PatchSurface::mMeshHeight" ref="a5b31d465366d1856ab5f7a811cd3907f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a5b31d465366d1856ab5f7a811cd3907f">Ogre::PatchSurface::mMeshHeight</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Height of the subdivided mesh (big enough for max level) </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00200">200</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4077a4271389af7bc4ec9e807bf91cde"></a><!-- doxytag: member="Ogre::PatchSurface::mMeshWidth" ref="a4077a4271389af7bc4ec9e807bf91cde" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a4077a4271389af7bc4ec9e807bf91cde">Ogre::PatchSurface::mMeshWidth</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Width of the subdivided mesh (big enough for max level) </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00198">198</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8f7f0bb8ee32d786e94a2d58c5d1cc47"></a><!-- doxytag: member="Ogre::PatchSurface::mRequiredIndexCount" ref="a8f7f0bb8ee32d786e94a2d58c5d1cc47" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a8f7f0bb8ee32d786e94a2d58c5d1cc47">Ogre::PatchSurface::mRequiredIndexCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00225">225</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a540444f2d390279342b950e34651e5c8"></a><!-- doxytag: member="Ogre::PatchSurface::mRequiredVertexCount" ref="a540444f2d390279342b950e34651e5c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a540444f2d390279342b950e34651e5c8">Ogre::PatchSurface::mRequiredVertexCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00224">224</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad7bed3b4c073e58963c4f518824dc213"></a><!-- doxytag: member="Ogre::PatchSurface::mSubdivisionFactor" ref="ad7bed3b4c073e58963c4f518824dc213" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1PatchSurface.html#ad7bed3b4c073e58963c4f518824dc213">Ogre::PatchSurface::mSubdivisionFactor</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00204">204</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8eb452f175ed459c32224a24c4111091"></a><!-- doxytag: member="Ogre::PatchSurface::mType" ref="a8eb452f175ed459c32224a24c4111091" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a> <a class="el" href="classOgre_1_1PatchSurface.html#a8eb452f175ed459c32224a24c4111091">Ogre::PatchSurface::mType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type of surface. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00183">183</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0292f4963f60a974876a8185de206d7f"></a><!-- doxytag: member="Ogre::PatchSurface::mULevel" ref="a0292f4963f60a974876a8185de206d7f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a0292f4963f60a974876a8185de206d7f">Ogre::PatchSurface::mULevel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>U-direction subdivision level. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00191">191</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7cdd82601219502352dd0930ae03574f"></a><!-- doxytag: member="Ogre::PatchSurface::mVecCtlPoints" ref="a7cdd82601219502352dd0930ae03574f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt;::type <a class="el" href="classOgre_1_1PatchSurface.html#a7cdd82601219502352dd0930ae03574f">Ogre::PatchSurface::mVecCtlPoints</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00206">206</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab71020e960b8f454f02ac7008ff8f149"></a><!-- doxytag: member="Ogre::PatchSurface::mVertexBuffer" ref="ab71020e960b8f454f02ac7008ff8f149" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1PatchSurface.html#ab71020e960b8f454f02ac7008ff8f149">Ogre::PatchSurface::mVertexBuffer</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00220">220</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a947c6821f4d14e3983e5f8e702ee1ba1"></a><!-- doxytag: member="Ogre::PatchSurface::mVertexOffset" ref="a947c6821f4d14e3983e5f8e702ee1ba1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#a947c6821f4d14e3983e5f8e702ee1ba1">Ogre::PatchSurface::mVertexOffset</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00222">222</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="ade1780fa07ac3eb2cd77a1e4e7effd48"></a><!-- doxytag: member="Ogre::PatchSurface::mVLevel" ref="ade1780fa07ac3eb2cd77a1e4e7effd48" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#ade1780fa07ac3eb2cd77a1e4e7effd48">Ogre::PatchSurface::mVLevel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>V-direction subdivision level. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00193">193</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeb543caba5713a3468d87c147873a35c"></a><!-- doxytag: member="Ogre::PatchSurface::mVSide" ref="aeb543caba5713a3468d87c147873a35c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a> <a class="el" href="classOgre_1_1PatchSurface.html#aeb543caba5713a3468d87c147873a35c">Ogre::PatchSurface::mVSide</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Which side is visible. </p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h_source.html#l00202">202</a> of file <a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
